Package com.independentsoft.office.word.customMarkup

# Class BuiltinDocumentPart

java.lang.Object
com.independentsoft.office.word.customMarkup.BuiltinDocumentPart

public class BuiltinDocumentPart extends Object
The Class BuiltinDocumentPart.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BuiltinDocumentPart()`
  Instantiates a new builtin document part.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BuiltinDocumentPart`
  `clone()`
  `ExtendedBoolean`
  `getBuiltin()`
  Gets the builtin.
  `String`
  `getCategory()`
  Gets the category.
  `String`
  `getGallery()`
  Gets the gallery.
  `void`
  `setBuiltin​(ExtendedBoolean builtin)`
  Sets the builtin.
  `void`
  `setCategory​(String category)`
  Sets the category.
  `void`
  `setGallery​(String gallery)`
  Sets the gallery.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### BuiltinDocumentPart

    public BuiltinDocumentPart()
    Instantiates a new builtin document part.

- ## Method Details

  - ### clone

    public BuiltinDocumentPart clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getCategory

    public String getCategory()
    Gets the category.
    Returns:
      the category

  - ### setCategory

    public void setCategory​(String category)
    Sets the category.
    Parameters:
      `category` - the new category

  - ### getGallery

    public String getGallery()
    Gets the gallery.
    Returns:
      the gallery

  - ### setGallery

    public void setGallery​(String gallery)
    Sets the gallery.
    Parameters:
      `gallery` - the new gallery

  - ### getBuiltin

    public ExtendedBoolean getBuiltin()
    Gets the builtin.
    Returns:
      the builtin

  - ### setBuiltin

    public void setBuiltin​(ExtendedBoolean builtin)
    Sets the builtin.
    Parameters:
      `builtin` - the new builtin